#include "SimpleRecommender.h"
#include <iostream>
#include <string>
#include <vector>

void printRecommendations(const vector<string>& recommendations);

using namespace std;
int main()
{
  SimpleRecommender simpleRecommender;
  string ratingsFile;
  cout << "Enter a file to read the ratings from" << endl;
  cin >> ratingsFile;
  simpleRecommender.loadRatingsFromFile(ratingsFile);

  cout << "Enter a file to read the movie list from" << endl;
  string movieFile;
  cin >> movieFile;
  simpleRecommender.loadMovieListFromFile(movieFile);


  cout << "Enter a user id to get ratings for" << endl;
  int userId;
  cin >> userId;
  while (userId != -1)
  {
    vector<string> recommendations = simpleRecommender.makeRecommendations(userId, 5);
    cout << "Got the recommendations!" << endl;
    printRecommendations(recommendations);

    cout << "Enter a user id to get ratings for" << endl;
    cin >> userId;

  }

  return 0;
}

void printRecommendations(const vector<string>& recommendations)
{
  if (recommendations.empty())
  {
    cout << "No recommendations found!" << endl;
    return;
  }

  cout << "We recommend you watch the following movies: " << endl;
  for (vector<string>::const_iterator current = recommendations.begin(); current != recommendations.end(); current++)
  {
    cout << *current << endl;
  }
}
