#ifndef SIMPLE_RECOMMENDER_H
#define SIMPLE_RECOMMENDER_H
#include <string>
#include <vector>
#include <list>
#include "SimpleRecommender.h";
#include "RatingInformation.cc";
#include "MovieInformation.h";
using namespace std;

class SimpleRecommender
{
    private :
        list<RatingInformation> ratings;
        vector<MovieInformation> movies;
        int getMovieId(string movieName);

    public :
        double generatePrediction(int userid, string movieName);
        vector<string> makeRecommendations(int userid, int n);
        void loadMovieListFromFile(string filename);
        void loadRatingsFromFile(string filename);
        void printMovies();
        void printRatings();
};

#endif
